package org.jeecg.modules.ctop.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 兴趣分类信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-09-18
 */
@Data
@TableName("ctop_bytedance_interest_category")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_bytedance_interest_category对象", description = "兴趣分类信息")
public class BytedanceInterestCategory {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 名称
     */
    @Excel(name = "名称", width = 15)
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * code
     */
    @Excel(name = "code", width = 15)
    @ApiModelProperty(value = "code")
    private String code;
    /**
     * parentCode
     */
    @Excel(name = "parentCode", width = 15)
    @ApiModelProperty(value = "parentCode")
    private String parentCode;
    /**
     * level
     */
    @Excel(name = "level", width = 15)
    @ApiModelProperty(value = "level")
    private Integer level;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
